server:
  port: 6025
spring:
  application:
    name: copy-trade-front
  session:
    store-type: redis
  sleuth:
    sampler:
      probability: 1.0
  mvc:
    throw-exception-if-no-handler-found: true
  messages:
    basename: i18n/messages
  servlet:
    multipart:
      max-request-size: "2MB"
      max-file-size: "2MB"
  jackson:
    time-zone: GMT+8
  profiles:
    active: dev
mybatis-plus:
  mapper-locations: classpath:/mapper/*Mapper.xml
  #实体扫描，多个package用逗号或者分号分隔
  typeAliasesPackage: com.contract.entity
  global-config:
    #主键类型  0:"数据库ID自增", 1:"用户输入ID",2:"全局唯一ID (数字类型唯一ID)", 3:"全局唯一ID UUID";
    id-type: 0
    #字段策略 0:"忽略判断",1:"非 NULL 判断"),2:"非空判断"
    field-strategy: 2
    #驼峰下划线转换
    db-column-underline: true
    #刷新mapper 调试神器
    refresh-mapper: true
    #数据库大写下划线转换
    #capital-mode: true
    #序列接口实现类配置
    #key-generator: com.baomidou.springboot.xxx
    #逻辑删除配置
    #logic-delete-value: 0
    #logic-not-delete-value: 1
    #自定义填充策略接口实现
    #meta-object-handler: com.gridcloud.business.config.mybatis.MetaObjectHandler
    #自定义SQL注入器
    #sql-injector: com.baomidou.springboot.xxx
    banner: false
  configuration:
    map-underscore-to-camel-case: true
    cache-enabled: false
    #打印预处理格式的sql语句，调试用
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
    #打印带有执行时间的性能分析SQL，调试用
    log-performance: true
notice:
  list: https://help-api.52doge.vip/index/cms_help
  detail: https://help.52doge.vip/index/help/
  menuId: 10
  language: _chi